local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
GetPlayer = GLOBAL.GetPlayer


PrefabFiles = {
	"wilhelm",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wilhelm.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wilhelm.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wilhelm.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wilhelm.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wilhelm_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wilhelm_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wilhelm.tex" ),
    Asset( "ATLAS", "bigportraits/wilhelm.xml" ),

	Asset("IMAGE", "images/wilhelmmini.tex"),
	Asset("ATLAS", "images/wilhelmmini.xml"),

	Asset( "IMAGE", "images/avatars/avatar_wilhelm.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_wilhelm.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_wilhelm.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_wilhelm.xml" ),


	Asset( "IMAGE", "images/avatars/self_inspect_wilhelm.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_wilhelm.xml" ),


	Asset( "IMAGE", "images/names_wilhelm.tex" ),
    Asset( "ATLAS", "images/names_wilhelm.xml" ),
	
    Asset( "IMAGE", "bigportraits/wilhelm_none.tex" ),
    Asset( "ATLAS", "bigportraits/wilhelm_none.xml" ),


}

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.WILHELM = require "speech_wilhelm"

AddMinimapAtlas("images/wilhelmmini.xml")

STRINGS.CHARACTERS.GENERIC.DESCRIBE.WILHELM = 
{
	GENERIC = "The mighty half man, half science, %s himself!",
	ATTACKER = "Your fighting defies human science!",
	MURDERER = "I hypothesized those cybernetic implants would corrupt your mind!",
	REVIVER = "Thank you %s, I'm grateful you still show care to those weaker than you.",
	GHOST = "We can rebuild him, we have the technology, we just don't want to spend much money.",
	FIRESTARTER = "Burning that wasn't very robotic, %s.",
}
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.WILHELM = 
{
	GENERIC = "Salutations %s.",
	ATTACKER = "Settle down %s, Those augmentations place you beyond normal human strength.",
	MURDERER = "As I feared, your automatonic enhancements have corrupted your mind.",
	REVIVER = "Thank you %s, perhaps you bring faith to humanity.",
	GHOST = "Perhaps I can bring back the half man, half automaton!",
        FIRESTARTER = "%s, You're here to help us, not combust things.",
}
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.WILHELM = 
{
	GENERIC = "Greetings %s.",
	ATTACKER = "I understand you want to punch my face %s, but please hold that thought!",
	MURDERER = "Do you realize what you've done!?",
            REVIVER = "%s tethers lost spirits to this world.",
            GHOST = "%s needs heart-shaped assistance.",
            FIRESTARTER = "Like the smell of napalm, don'tcha?",
}
STRINGS.CHARACTERS.WOODIE.DESCRIBE.WILHELM = 
{
	GENERIC = "It's %s, the trashcan.",
	ATTACKER = "Don't you be hurting folk trashcan!",
            MURDERER = "Enemy of the forest!",
            REVIVER = "%s, you're an alright sort.",
            GHOST = "Someone should rub a heart on %s.",
            FIRESTARTER = "I toldja not to mix yourself with machines son!",
}
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.WILHELM = 
{
	GENERIC = "Is %s, he cheat his muscle with metal!",
	ATTACKER = "I will beat cheater metal man!",
	MURDERER = "Your kill was cheating, only true muscle can kill good way!",
            REVIVER = "You cheat, but you still nice man %s.",
            GHOST = "Wolfgang need you back, I want to punch cheater!",
            FIRESTARTER = "%s, cheat by burning things!",
}
STRINGS.CHARACTERS.WILLOW.DESCRIBE.WILHELM = 
{
	GENERIC = "Hi %s!",
	ATTACKER = "Of course, I can see why you're half metal %s!",
	MURDERER = "Somebody stop the metal man before he hurts anyone else!",
	REVIVER = "You do care!",
	GHOST = "I think this metal man needs a true human heart.",
	FIRESTARTER = "That was totally wicked!",
}
STRINGS.CHARACTERS.WENDY.DESCRIBE.WILHELM = 
{
			GENERIC = "Hello, %s.",
			ATTACKER = "%s, do not let your machinery overpower thy mind.",
			MURDERER = "How sad your machinery has defeated your logic %s.",
			REVIVER = "Thank you kind %s. You've delayed the inevitable.",
			GHOST = "A heart could bring back my friend, %s...",
            FIRESTARTER = "It's better not not burn the wrong things, %s.",
}
STRINGS.CHARACTERS.WX78.DESCRIBE.WILHELM = 
{
            GENERIC = "DETECTING... %s!",
	ATTACKER = "I CONCLUDE YOUR MAN IS TAKING OVER %s!",
	MURDERER = "YOU ARE MAN, NOT MACHINE, YOU WILL BE ERADICATED FOR HUMILIATING US.",
	REVIVER = "I CAN NOW ACCEPT THAT YOU ARE MACHINE %s.",
	GHOST = "PERHAPS I CAN MAKE THIS MAN INTO A COMPLETE ROBOT WITH A HEART.",
        FIRESTARTER = "%s IS CAUSING NEEDLESS DESTRUCTION. GOOD",
}
--STRINGS.CHARACTERS.WES.DESCRIBE.WILHELM = (" ")

AddPrefabPostInit("forest", function(inst)
        if STRINGS.CHARACTERS.WATHGRITHR then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.WILHELM = 
{
	GENERIC = "Allo' %s!",
	ATTACKER = "You've double crossed our guild haven't you %s!?",
	MURDERER = "You may have killed, uhhh mind you the ammount of a small country...",
            REVIVER = "%s's for your good deed, perhaps Odin shall create more troops like you.",
            GHOST = "Even with his supreme armour, this man still needs a heart.",
            FIRESTARTER = "It would seem your fires caused more harm than necessary, %s.",
}
end
        if STRINGS.CHARACTERS.WEBBER then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.WILHELM = 
{
	GENERIC = "Are you in a similar situation as us %s?",
	ATTACKER = "That wasn't very nice %s!",
	MURDERER = "We thought you were supposed to be a super hero %s!",
	REVIVER = "%s, the alloy figure man found niceness.",
	GHOST = "Don't worry, %s! Our spider friends will help bring you back!",
            FIRESTARTER = "Can we do that too %s?",
}
        end
        if STRINGS.CHARACTERS.WINONA then
STRINGS.CHARACTERS.WINONA.DESCRIBE.WILHELM = 
{
	GENERIC = "You're very metal %s.",
	ATTACKER = "I think you need a tune up bolt for brains!",
	MURDERER = "That man-bot needs to be decomissioned!",
	REVIVER = "%s, seems you still got a heart of flesh.",
	GHOST = "Metal on a ghost!",
            FIRESTARTER = "I thought you were a constructor bot!",
}
        end
end)

GLOBAL.STRINGS.NAMES.WILHELM = "Wilhelm"

--STRINGS.CHARACTER_TITLES.WILHELM = "The Enforcer"
--STRINGS.CHARACTER_NAMES.WILHELM = "Timothy 'Jack' Lawrence"
--STRINGS.CHARACTER_DESCRIPTIONS.WILHELM ="*Cybernetic legs for speed\n*Cybernetic arms for strength\n*Needs to refuel frequently"
--STRINGS.CHARACTER_QUOTES.WILHELM= "\"No.\""
--STRINGS.CHARACTERS.WILHELM = require "speech_wilhelm"


table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wilhelm")

AddModCharacter("wilhelm" ,"MALE")